Error running RuboCop


#1

I have error running RuboCop on Atom.
My console reads:
Error running RuboCop Error: Failed to spawn commandrubocop. Make surerubocopis installed and on your PATH

I tried gem install rubocop and I got this:
Building native extensions. This could take a while... ERROR: While executing gem ... (Errno::EACCES) Permission denied @ dir_s_mkdir - /Users/CTO/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/extensions/x86_64-darwin-15/2.3.0-static/rainbow-2.2.2

I’m new at this. Help will be much appreciated!


#2

You need to install it before you can run it, and the installation issue is definitely a Ruby question. I don’t know why you wouldn’t have access.


#3

I was able to figure it out. Thanks anyways!!


#4

How were you able to fix the problem?


#5

Hi Carmen,

I am having the exact same issue. Can you let me know how you fixed it?
Thanks!

Linh


#6

You have an existing thread about your difficulties installing RuboCop, which is a different problem than the one stated in the original post here. The only commonality is that both threads have the symptom of Atom not being able to find the RuboCop binary. Correct me if I’m wrong, but as I understand it, you’ve successfully installed RuboCop and just need to make sure that Atom can see it. If that’s the case, please respond to my comment in your thread with the information I have requested.


#7

I did a search and noticed the thread had the same error issue I was receiving. Didn’t know it was an issue to reach out.


#8

It’s not an issue to reach out, but you don’t have the same issue as in this thread since you were successful in installing RuboCop.